const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v2_6 = 8 * *((edi_global_2d_to_2d_local - 68)) & 8;
    z.y_global_2d_to_2d_local = 16 - 2 * v2_6 # z.y;
    v7_12 = __asm_movupd(*((v2_6 - 120 + esi_global_2d_to_2d_local))) # bp+12;
    v7_18 = __asm_movsd(*((z.y_global_2d_to_2d_local - 120 + esi_global_2d_to_2d_local))) # bp+18;
    v5_1e = __asm_subpd(v7_12, *((edi_global_2d_to_2d_local - 32)));
    v5_23 = __asm_divpd(v5_1e, *((edi_global_2d_to_2d_local - 48))) # bp+23;
    v5_28 = __asm_subsd(v7_18, *((edi_global_2d_to_2d_local - 16))) # bp+28;
    v1_2d = __asm_cvtpd2dq(v5_23);
    *((z.y_global_2d_to_2d_local - 120 + esi_global_2d_to_2d_local)) = __asm_movsd_1(v5_28);
    v2_3b = __asm_subpd(v5_23, __asm_cvtdq2pd(v1_2d));
    v5_3f = __asm_mulpd(v2_3b, *((edi_global_2d_to_2d_local - 48)));
    v5_44 = __asm_addpd(v5_3f, *((edi_global_2d_to_2d_local - 64))) # bp+44;
    __asm_movupd_2(*((v2_6 - 120 + esi_global_2d_to_2d_local)), v5_44);
    return v2_6;


	}